You are here: Known Vulnerabilities in Mozilla Products (Firefox 2.0.0.8) > MFSA 2007-29

Mozilla Foundation Security Advisory 2007-29

Title: Crashes with evidence of memory corruption (rv:1.8.1.8)
Impact: Critical
Announced: October 18, 2007
Reporter: Mozilla developers and community
Products: Firefox, Thunderbird, SeaMonkey

Fixed in: Firefox 2.0.0.8
  Thunderbird 2.0.0.9
  Thunderbird 1.5.0.14
  SeaMonkey 1.1.5

Description

As part of the Firefox 2.0.0.8 update releases Mozilla developers fixed many bugs to improve the stability of the product. Some of these crashes showed evidence of memory corruption under certain circumstances and we presume that with enough effort at least some of these could be exploited to run arbitrary code.

Thunderbird shares the browser engine with Firefox and could be vulnerable if JavaScript were to be enabled in mail. This is not the default setting and we strongly discourage users from running JavaScript in mail. Without further investigation we cannot rule out the possibility that for some of these an attacker might be able to prepare memory for exploitation through some means other than JavaScript such as large images.

Update (December 19, 2007): Some of these bugs were patched in Thunderbird 1.5.0.14, please see the links below. For complete protection please upgrade to the latest version of Thunderbird 2 and do not enable JavaScript in mail.

Workaround

Disable JavaScript until a version containing these fixes can be installed.

References

L. David Baron, Boris Zbarsky, Georgi Guninski, Paul Nickerson, Olli Pettay, Jesse Ruderman, Vladimir Sukhoy, Daniel Veditz, and Martijn Wargers reported crashes in the browser engine.

Igor Bukanov, Eli Friedman, and Jesse Ruderman reported crashes in the JavaScript engine.